<script lang="ts" setup>
import { useUserStore } from "@/stores/user";
import { onMounted } from "vue";
import UserDialog from "./UserDialog.vue";

const userStore = useUserStore();

onMounted(async () => {
  await userStore.getUsers();
});
</script>
<template>
  <UserDialog></UserDialog>
  <v-btn @click="userStore.dialog = true" class="ma-5" color="red"
    >Add New</v-btn
  >
  <v-table>
    <thead>
      <tr>
        <th>ID</th>
        <th>Name</th>
        <th>Email</th>
        <th>Operations</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="item of userStore.users" :key="item.id">
        <td>{{ item.id }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.email }}</td>
        <td>
          <v-btn
            class="mr-5"
            color="secondary"
            @click="userStore.editUser(item)"
            ><v-icon icon="mdi-pencil"></v-icon></v-btn
          ><v-btn @click="userStore.deleteUser(item.id!)" color="error"
            ><v-icon icon="mdi-delete"></v-icon
          ></v-btn>
        </td>
      </tr>
    </tbody>
  </v-table>
</template>
